Redmine - Defect #19185

Update Install/Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set
config.secret_key base

2015-02-25 13:56 - Pavel Potcheptsov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 3.0.2

Resolution: Affected version: 3.0.0
Description

Need to add section for 3.x install and upgrade to 3.x where change such text

Run the following command from your new Redmine root directory:
bundle exec rake generate_secret_token

This will generate a file (config/initializers/secret_token.rb) with a random secret used to secur
e session data.

to something like:
- follow official guide
- or just create secrets.yml file with such content:

production:
secret_key_base:

- run rake secret and copy/paste output after secret_key_base:
Otherwise you'll get DEPRECATION WARNING: You didn't set config.secret_key_base in your production.log

Related issues:
Related to Redmine - Patch #20292: Ignore Secrets.yml file Closed

Associated revisions

Revision 14217 - 2015-04-25 10:13 - Jean-Philippe Lang
Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set config.secret_key_base (#19185).

Revision 14218 - 2015-04-25 10:14 - Jean-Philippe Lang
Merged r14217 (#19185).

History

#1 - 2015-03-26 17:16 - Toshi MARUYAMA

- Target version set to 3.0.2

#2 - 2015-03-26 17:20 - Toshi MARUYAMA

- Subject changed from Update Wiki Install/lUpgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set
config.secret_key_base to Update Install/Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set
config.secret_key_base

Not only wiki but also source:tags/3.0.1/doc .

#3 - 2015-03-30 15:50 - Olivier Houdas

Note: secrets.yml should be in /config (whereas secret_token.rb was in /config/initializers)

#4 - 2015-04-25 10:15 - Jean-Philippe Lang
http://guides.rubyonrails.org/upgrading_ruby_on_rails.html#config-secrets-yml
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.0.1/doc

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

rake generate_secret_token was changed to generate the config.secret_key_base, it's fine for new installs. The problem occurs when upgrading from
2.x. Additional information is added the docs in r14217.
Thanks for pointing this out.

#5 - 2015-04-28 06:45 - Toshi MARUYAMA
| have updated wikis.

e http://www.redmine.org/projects/redmine/wiki/Redminelnstall/243
e http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade/75

#6 - 2015-07-12 04:41 - Toshi MARUYAMA
- Related to Patch #20292: Ignore Secrets.yml file added

2025-05-02 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/14217
http://www.redmine.org/projects/redmine/wiki/RedmineInstall/243
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade/75
http://www.tcpdf.org

